<!-- Add Sub Utility Button -->
<div class="mb-2">
  <button class="btn btn-primary" (click)="openModel(addPayPeriodModal)">
    Add
  </button>
</div>

<!-- Start of Table -->
<div class="card shadow mb-4">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">Utilites Table</h6>
  </div>
  <div class="card-body">
    <simpliflysaas-data-table
      [loading]="payPeriodLoading"
      [closeEditMode]="showSaveOption"
      [dataSource]="payPeriod"
      [itemPerPage]="dataPerPage"
      [tableColumns]="payPeriodColumns"
      [showActionField]="true"
      (delete)="openConfirmDialog($event)"
      (update)="updatePayPeriod($event)"
      [isActionInProgress]="processingAction"
    >
    </simpliflysaas-data-table>
  </div>
</div>
<!-- End of Table -->

<!-- Add Utility Modal -->
<ng-template #addPayPeriodModal>
  <div class="modal-header">
    <h4 class="modal-title pull-left">Add {{ selectedUtility | titlecase }}</h4>
    <button
      type="button"
      class="close pull-right"
      aria-label="Close"
      (click)="closeModal()"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form [formGroup]="payPeriodForm">
      <label>Pay period</label>
      <input class="form-control" formControlName="pay_period" />
      <div class="error-msg" *ngIf="pay_period.errors?.required && submitted">
        Pay period is required.
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" type="button" (click)="closeModal()">
      Cancel
    </button>
    <button
      class="btn btn-primary"
      class="btn btn-primary"
      (click)="addPayPeriod()"
    >
      Add
    </button>
  </div>
</ng-template>
